module LotusAdmin
  module Decorations
    extend ActiveSupport::Concern

    class_methods do
      def decorates_with(decorator_class_or_name)
        self._decorator_class_name = decorator_class_or_name.to_s
      end
    end

    included do
      class_attribute :_decorator_class_name, instance_accessor: false

      let(:collection) do
        if self.class._decorator_class_name.present?
          self.class._decorator_class_name.constantize.decorate_collection(end_of_association_chain)
        else
          end_of_association_chain
        end
      end

      let(:decorated_resource) do
        if self.class._decorator_class_name.present?
          self.class._decorator_class_name.constantize.decorate(resource)
        end
      end
    end
  end
end
