module LotusAdmin
  module Exposure
    extend ActiveSupport::Concern

    class_methods do
      def let(attribute_name, &block)

        method_name = attribute_name.to_s.gsub('?', '')

        # instance setter method
        define_method("#{ method_name }=") do |value|
          instance_variable_set("@#{ method_name }", value)
        end

        # instance method to meomize the block result
        define_method(attribute_name) do
          instance_variable_get("@#{ method_name }") || begin
            value = instance_eval(&block)
            public_send("#{ method_name }=", value)

            value
          end
        end
        helper_method(attribute_name)

      end
    end
  end
end
