module LotusAdmin
  module PermittedParams
    extend ActiveSupport::Concern

    class_methods do
      def permit_params(*args, &block)
        define_method :permitted_params do
          base_params = params.require(resource_class.model_name.singular_route_key)
          if block.present?
            block.call(base_params)
          else
            base_params.permit(args)
          end
        end
      end
    end
  end
end
