module LotusAdmin
  class ApplicationController < ActionController::Base
    protect_from_forgery with: :exception

    include Exposure

    helper FontAwesome::Rails::IconHelper

    helper LotusAdmin::ApplicationHelper
    helper LotusAdmin::FormHelpers
    helper LotusAdmin::LinkHelpers
    helper LotusAdmin::PaginationHelpers
    helper LotusAdmin::PanelHelpers
    helper LotusAdmin::SidebarHelpers
    helper LotusAdmin::RenderHelpers

    private

    def paginate(collection)
      collection.page(params[:page])
    end
  end
end
