class LotusAdmin::AuthenticatedController < LotusAdmin::ApplicationController
  include LotusAdmin::PermittedParams
  include LotusAdmin::FilterableController
  include LotusAdmin::FileStreamer
  include LotusAdmin::Decorations
  include LotusAdmin::Authorization

  before_action :authenticate_administrator!
  around_action :use_user_time_zone, if: :administrator_signed_in?

  let(:menu_identifier) do
    action = :index
    action = :new if %w(new create).include?(action_name)
    action = :edit if %w(edit update).include?(action_name)

    [controller_name, action].join('_').to_sym
  end

  private

  def use_user_time_zone(&block)
    Time.use_zone(current_administrator.time_zone, &block)
  end
end
