module LotusAdmin
  class ProfilesController < LotusAdmin::AuthenticatedController
    let(:resource_class) { LotusAdmin.configuration.user_class }

    permit_params do |params|
      params.permit(:first_name, :last_name, :email, :time_zone, :password, :password_confirmation).delete_if do |k,v|
        k.start_with?('password') && v.blank?
      end
    end

    def update
      if current_administrator.update(permitted_params)
        bypass_sign_in(current_administrator, scope: :administrator)
        redirect_to lotus_admin.root_path, notice: 'Changes to your profile have been saved'
      else
        render :edit
      end
    end
  end
end
