module LotusAdmin
  class UsersController < LotusAdmin::ResourceController
    manages LotusAdmin.configuration.user_class
    policy_class LotusAdmin.configuration.user_class_policy

    permit_params :first_name, :last_name, :email, :time_zone

    filter :first_name
    filter :last_name
    filter :email
    filter :created_at
    filter :last_sign_in_at

    def create
      super do |format|
        resource.password = Devise.friendly_token.first(8)

        if resource.save
          resource.send_invited_email_notification

          redirect_to after_create_redirect, notice: "Created new #{ resource_class.model_name.human }"
        else
          render :new
        end
      end
    end
  end
end
