module LotusAdmin
  module ApplicationHelper
    def body_class(*extra)
      [controller_name, action_name.parameterize].concat(extra)
    end

    def flash_message(message, type='alert')
      css_class = case type.to_sym
      when :alert then 'alert-alert alert-warning'
      when :error then 'alert-error alert-danger'
      when :notice then 'alert-success alert-notice'
      when :info then 'alert-info'
      end

      content_tag(:div, raw(message), class: "alert #{css_class}")
    end
  end
end
