module LotusAdmin
  module FormHelpers
    def material_form_for(resource, options = {}, &block)
      options[:builder] ||= LotusAdmin::FormBuilder
      options[:wrapper] = :material_form
      options[:wrapper_mappings] = {
        boolean: :material_boolean_horizontal
      }

      simple_form_for(resource, options, &block)
    end

    def material_form_submit(resource)
      label = "Create #{ resource.class.model_name.human }"
      label = "Save Changes" if resource.persisted?

      material_form_button(label)
    end

    def material_form_cancel(path)
      link_to 'Cancel', path, class: 'btn btn-link'
    end

    def material_form_button(label)
      button_tag class: 'btn btn-success' do
        label.html_safe + content_tag(:i, nil, class: 'zmdi zmdi-arrow-forward')
      end
    end
  end
end
