module LotusAdmin
  module SidebarHelpers
    def sidebar_item(identifier, &block)
      content_tag(:li, class: class_for_menu(identifier), &block)
    end

    def sidebar_parent_item(identifier, icon, name, &block)
      content_tag(:li, class: class_for_parent_menu_item(identifier)) do
        link_to('#', data: { ma_action: 'submenu-toggle' }) do
          content_tag(:i, nil, class: "zmdi zmdi-#{ icon }") + name
        end + capture_haml(&block)
      end
    end

    def class_for_menu(identifier)
      return 'active' if menu_identifier.to_s == identifier.to_s
    end

    def class_for_parent_menu_item(identifier)
      return 'sub-menu active toggled' if parent_menu_identifier == identifier

      'sub-menu'
    end
  end
end
