class DatePickerInput < SimpleForm::Inputs::Base
  def input(wrapper_options)
    merged_input_options = merge_wrapper_options(input_html_options, wrapper_options)

    content_tag(:div, input_group(merged_input_options), class: "input-group date")
  end

  private

  def input_group(merged_input_options)
    "#{ calendar_addon } #{ @builder.text_field(attribute_name, merged_input_options) }".html_safe
  end

  def calendar_addon
    content_tag(:span, calendar_icon, class: "input-group-addon")
  end

  def calendar_icon
    @builder.template.fa_icon(:calendar)
  end

  def input_html_options
    super.merge({
      class: 'date',
      value: @builder.object.public_send(attribute_name)&.strftime('%Y-%m-%d')
    })
  end
end
