# Custom form wrapper for Material Design template
SimpleForm.setup do |config|
  config.boolean_style = :inline

  config.wrappers :material_form, tag: 'div', class: 'form-group', error_class: 'has-error' do |b|
    b.use :html5
    b.use :placeholder
    b.optional :maxlength
    b.optional :minlength
    b.optional :pattern
    b.optional :min_max
    b.optional :readonly

    b.use :label_input, class: 'form-control', wrap_with: { tag: 'div', class: 'fg-line' }
    b.use :error, wrap_with: { tag: 'span', class: 'help-block' }
    b.use :hint,  wrap_with: { tag: 'p', class: 'help-block' }
  end

  config.wrappers :material_boolean_horizontal, tag: 'div', class: 'checkbox', error_class: 'has-error' do |b|
    b.use :html5
    b.optional :readonly

    b.wrapper tag: 'label' do |append|
      append.use :input
      append.wrapper tag: 'i', class: 'input-helper' do |baa|

      end

      append.use :label_text
    end

    b.use :error, wrap_with: { tag: 'span', class: 'help-block' }
    b.use :hint,  wrap_with: { tag: 'p', class: 'help-block' }
  end
end
