module LotusAdmin
  class Configuration
    attr_accessor :filter_search_btn_css_classes
    attr_accessor :action_mailer_default_sender_address

    def routes(&block)
      LotusAdmin.router.define(&block)
    end

    def filter_search_btn_css_classes
      @filter_search_btn_css_classes ||= %w(filter-toggle-btn btn-js)
    end

    def user_class_name
      @user_class_name ||= 'LotusAdmin::User'
    end

    def user_class_name=(value)
      @user_class_name = value
      @user_class = nil
    end

    def user_class
      @user_class ||= user_class_name.constantize
    end

    def user_class_policy=(policy_class_or_name)
      @user_class_policy = policy_class_or_name.to_s
    end

    def user_class_policy
      @user_class_policy&.safe_constantize
    end
  end
end
