module LotusAdmin
  class Engine < ::Rails::Engine
    isolate_namespace LotusAdmin

    config.generators do |g|
      g.test_framework :rspec
      g.fixture_replacement :factory_bot, dir: 'spec/factories'
    end

    config.to_prepare do
      Rails.application.config.assets.precompile += %w( lotus_admin/application.js lotus_admin/application.css )
    end

    # Let consumers make use of our factories
    initializer 'lotus_admin.factory_bot_paths', after: 'factory_bot.set_factory_paths' do
      if defined?(FactoryBot)
        FactoryBot.definition_file_paths << File.expand_path('../../../spec/factories', __FILE__)
      end
    end
  end
end
